Results 1 to 6 of 6

Thread: OpenGL and NEStopia

  1. #1
    Join Date
    May 2009
    Location
    Lytham St Anne's, England
    Beans
    119
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    OpenGL and NEStopia

    Hello everyone. I've just installed Ubuntu 16.04 MATE on an iMac5,1 that has a Radeon Mobility X1600 video chipset. NEStopia runs, but when I attempt to run a "ROM", it quits unexpectedly. I've run NEStopia on this machine under OS X without issues. Higan chugs on my machine, unfortunately. Does anyone have any ideas?

    Code:
    richard@richard-iMac:~/Coding/wrap$ nes
    0 joystick(s) found:
    Could not create glcontext: Could not create GL context: GLXBadFBConfig
    OpenGL: (null)
    Database: 2901 items imported from internal DB
    /home/richard/.nestopia/disksys.rom not found, Disk System games will not work.
    Ines: 32k PRG-ROM set
    Ines: 8k CHR-ROM set
    Ines: vertical mirroring set
    Ines: NTSC set
    Ines: mapper 0 set
    Board: NES-NROM-256
    Board: 32k PRG-ROM
    Board: 8k CHR-ROM
    Region: NTSC
    nes: Couldn't find current GLX or EGL context.
    richard@richard-iMac:~/Coding/wrap$ glxinfo | head -n 20
    name of display: :0
    display: :0  screen: 0
    direct rendering: Yes
    server glx vendor string: SGI
    server glx version string: 1.4
    server glx extensions:
        GLX_ARB_create_context, GLX_ARB_create_context_profile, 
        GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB, GLX_ARB_multisample, 
        GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile, 
        GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB, 
        GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, 
        GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, 
        GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
        GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_swap_control
    client glx vendor string: Mesa Project and SGI
    client glx version string: 1.4
    client glx extensions:
        GLX_ARB_create_context, GLX_ARB_create_context_profile, 
        GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, 
        GLX_ARB_framebuffer_sRGB, GLX_ARB_get_proc_address, GLX_ARB_multisample,

  2. #2
    Join Date
    Oct 2006
    Beans
    56,329

    Re: OpenGL and NEStopia

    Thread moved to the "Apple Hardware Users" forum.

  3. #3
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    10,848
    Distro
    Ubuntu

    Re: OpenGL and NEStopia

    Probably best to see what it actually had to say about OpenGL
    Code:
    glxinfo | grep OpenGL
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  4. #4
    Join Date
    May 2009
    Location
    Lytham St Anne's, England
    Beans
    119
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: OpenGL and NEStopia

    Code:
    richard@richard-iMac:~/Coding/wrap$ glxinfo | grep OpenGL
    OpenGL vendor string: X.Org R300 Project
    OpenGL renderer string: Gallium 0.4 on ATI RV530
    OpenGL version string: 2.1 Mesa 12.0.6
    OpenGL shading language version string: 1.20
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 2.0 Mesa 12.0.6
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16
    OpenGL ES profile extensions:

  5. #5
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    10,848
    Distro
    Ubuntu

    Re: OpenGL and NEStopia

    Looks like nestopia requires OpenGL 3.2 at the very least:
    http://0ldsk00l.ca/nestopia/
    - Updated to modern OpenGL (version 3.2 minimum)
    Whatever that means.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  6. #6
    Join Date
    May 2009
    Location
    Lytham St Anne's, England
    Beans
    119
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: OpenGL and NEStopia

    Hi everyone. Just wanted to reply so that this thread is able to be viewed by other people. Yes, it seems that the NEStopia included with Ubuntu 16.04 is actually the Undead Edition, version 1.47-1, which requires hardware capable of OpenGL 3.2 minimum. I have pre-OpenGL 3.2 hardware. I installed version 1.46-2 from http://archive.ubuntu.com/ubuntu/poo...se/n/nestopia/ (which does not require OpenGL 3.2), and it works perfectly on my machine. Hope this helps.

    Richard
    Last edited by Richardcavell; July 4th, 2017 at 11:20 PM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •